--PrefabFiles = {
--}



local function postInitFunc(inst)
	-- add light
	if not inst.Light then
		inst.entity:AddLight()
	end
	inst.Light:SetRadius(1.2)
	inst.Light:SetFalloff(.6)
	inst.Light:SetIntensity(.8)
	inst.Light:SetColour(150/255, 150/255, 150/255)
	inst.Light:Enable(true)
	inst.AnimState:SetBloomEffectHandle( "shaders/anim.ksh" )

	-- add sanity aura
	if not inst.components.sanityaura then
    	inst:AddComponent("sanityaura")
    end
    inst.components.sanityaura.aura = TUNING.SANITYAURA_TINY
end

AddPrefabPostInit("flower", postInitFunc)
